import axios from "../../utils/axios";

export function getBussinessType(query) {
    return axios({
        url: "/warehouse/bussinessType/filter",
        method: "get",
        params: query
    });
}

export function deleteBussinessType(query) {
    return axios({
        url: "/warehouse/bussinessType/delete",
        method: "post",
        data: query
    });
}

export function updateBussinessType(query) {
    return axios({
        url: "/warehouse/bussinessType/update",
        method: "post",
        data: query
    });
}

export function insertBussinessType(query) {
    return axios({
        url: "/warehouse/bussinessType/insert",
        method: "post",
        data: query
    });
}

export function getCandidateBussinessType(query) {
    return axios({
        url: "/warehouse/bussinessType/candidateBussinessType",
        method: 'get',
        params: query
    });
}
